unicorn Ruby/Rack server user+dev discussion/patches/pulls/bugs/help
 help / Atom feed
* Re: Bug#918916: Unicorn not reporting proper version for gemfile?
       [not found] ` <20190110200102.GA14520@portux.naturalnet.de>
@ 2019-01-10 20:28   ` Eric Wong
  2019-01-12  9:42     ` Hleb Valoshka
  0 siblings, 1 reply; 4+ messages in thread
From: Eric Wong @ 2019-01-10 20:28 UTC (permalink / raw)
  To: Dominik George, 918916; +Cc: Justin Hallett, unicorn-public

(unicorn upstream here, adding unicorn-public to Cc,
 for context: <https://bugs.debian.org/918916> )

Dominik George <natureshadow@debian.org> wrote:
> +--- a/unicorn.gemspec
> ++++ b/unicorn.gemspec
> +@@ -11,7 +11,7 @@ end.compact
> + 
> + Gem::Specification.new do |s|
> +   s.name = %q{unicorn}
> +-  s.version = (ENV['VERSION'] || '5.4.1').dup
> ++  s.version = '5.4.1'

Why is ignoring ENV['VERSION'] necessary for the Debian build?
I can probably remove that check if desired from the upstream
package before the 5.5.0 release.

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: Bug#918916: Unicorn not reporting proper version for gemfile?
  2019-01-10 20:28   ` Bug#918916: Unicorn not reporting proper version for gemfile? Eric Wong
@ 2019-01-12  9:42     ` Hleb Valoshka
  2019-01-12 10:04       ` Dominik George
  0 siblings, 1 reply; 4+ messages in thread
From: Hleb Valoshka @ 2019-01-12  9:42 UTC (permalink / raw)
  To: 918916; +Cc: Dominik George, Justin Hallett, unicorn-public

On 1/10/19, Eric Wong <e@80x24.org> wrote:
>> +-  s.version = (ENV['VERSION'] || '5.4.1').dup
>> ++  s.version = '5.4.1'
>
> Why is ignoring ENV['VERSION'] necessary for the Debian build?
> I can probably remove that check if desired from the upstream
> package before the 5.5.0 release.

I've checked debian's git, this patch was introduced when
ENV["VERSION"] was required to use the gemspec. Now as the upstream
gemspec provides the same it's not required.

The problem is not in Unicorn. The problem is in gem2deb which
generated incorrect unicorn-0.gemspec for the package.

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: Bug#918916: Unicorn not reporting proper version for gemfile?
  2019-01-12  9:42     ` Hleb Valoshka
@ 2019-01-12 10:04       ` Dominik George
  2019-01-12 12:18         ` Hleb Valoshka
  0 siblings, 1 reply; 4+ messages in thread
From: Dominik George @ 2019-01-12 10:04 UTC (permalink / raw)
  To: Hleb Valoshka, 918916; +Cc: Justin Hallett, unicorn-public

>I've checked debian's git, this patch was introduced when
>ENV["VERSION"] was required to use the gemspec. Now as the upstream
>gemspec provides the same it's not required.
>
>The problem is not in Unicorn. The problem is in gem2deb which
>generated incorrect unicorn-0.gemspec for the package.

OK... But, why was it fixed when I rebuilt with the patch?

-nik

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: Bug#918916: Unicorn not reporting proper version for gemfile?
  2019-01-12 10:04       ` Dominik George
@ 2019-01-12 12:18         ` Hleb Valoshka
  0 siblings, 0 replies; 4+ messages in thread
From: Hleb Valoshka @ 2019-01-12 12:18 UTC (permalink / raw)
  To: Dominik George; +Cc: 918916, Justin Hallett, unicorn-public

On 1/12/19, Dominik George <natureshadow@debian.org> wrote:
>>The problem is not in Unicorn. The problem is in gem2deb which
>>generated incorrect unicorn-0.gemspec for the package.
>
> OK... But, why was it fixed when I rebuilt with the patch?

Different gem2deb versions? Have you tried to rebuild it without that patch?

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, back to index

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
     [not found] <E5E85D7F-061C-422C-B02E-8FC248F87986@southofheaven.org>
     [not found] ` <20190110200102.GA14520@portux.naturalnet.de>
2019-01-10 20:28   ` Bug#918916: Unicorn not reporting proper version for gemfile? Eric Wong
2019-01-12  9:42     ` Hleb Valoshka
2019-01-12 10:04       ` Dominik George
2019-01-12 12:18         ` Hleb Valoshka

unicorn Ruby/Rack server user+dev discussion/patches/pulls/bugs/help

Archives are clonable:
	git clone --mirror https://bogomips.org/unicorn-public
	git clone --mirror http://ou63pmih66umazou.onion/unicorn-public

Newsgroups are available over NNTP:
	nntp://news.public-inbox.org/inbox.comp.lang.ruby.unicorn
	nntp://ou63pmih66umazou.onion/inbox.comp.lang.ruby.unicorn

 note: .onion URLs require Tor: https://www.torproject.org/
       or Tor2web: https://www.tor2web.org/

AGPL code for this site: git clone https://public-inbox.org/ public-inbox